## org.eclipse.emf.spi.cdo
Class AbstractObjectConflictResolver

    java.lang.Object
      org.eclipse.emf.spi.cdo.AbstractObjectConflictResolver

All Implemented Interfaces:
  CDOConflictResolver

Direct Known Subclasses:
  AbstractObjectConflictResolver.TakeRemoteChangesThenApplyLocalChanges, AbstractObjectConflictResolver.ThreeWayMerge

    public abstract class AbstractObjectConflictResolver

extends java.lang.Object
implements CDOConflictResolver

Since:
  2.0

Nested Class Summary
`static class` `AbstractObjectConflictResolver.MergeLocalChangesPerFeature`
`static class` `AbstractObjectConflictResolver.TakeRemoteChangesThenApplyLocalChanges` A conflict resolver implementation that takes all the new remote state of the conflicting objects and then applies the locally existing changes of the current transaction.
`static class` `AbstractObjectConflictResolver.ThreeWayMerge`

Constructor Summary
`AbstractObjectConflictResolver()`

Method Summary
`static void` `changeObject(CDOObject object, CDORevisionDelta revisionDelta)` TODO See `CDOObjectMerger`!!!
`CDOTransaction` `getTransaction()` Returns the `transaction` this conflict resolver is associated with.
`protected void` `hookTransaction(CDOTransaction transaction)`
`static void` `readObject(CDOObject object)`
`protected abstract void` `resolveConflict(CDOObject conflict, CDORevisionDelta revisionDelta)` Resolves the conflict of a single object in the current transaction.
`void` `resolveConflicts(java.util.Set<CDOObject> conflicts)` Resolves conflicts after remote invalidations arrived for objects that are locally dirty or detached.
`static void` `rollbackObject(CDOObject object)`
`void` `setTransaction(CDOTransaction transaction)` Sets the `transaction` this conflict resolver is to be associated with.
`protected void` `unhookTransaction(CDOTransaction transaction)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractObjectConflictResolver

    public AbstractObjectConflictResolver()

Method Detail

### getTransaction

    public CDOTransaction getTransaction()

  Description copied from interface: `CDOConflictResolver`
  Returns the `transaction` this conflict resolver is associated with.

  Specified by:
    `getTransaction` in interface `CDOConflictResolver`

### setTransaction

    public void setTransaction(CDOTransaction transaction)

  Description copied from interface: `CDOConflictResolver`
  Sets the `transaction` this conflict resolver is to be associated with.

  Specified by:
    `setTransaction` in interface `CDOConflictResolver`

### resolveConflicts

    public void resolveConflicts(java.util.Set<CDOObject> conflicts)

  Description copied from interface: `CDOConflictResolver`
  Resolves conflicts after remote invalidations arrived for objects that are locally dirty or detached.

  The implementor might want to use/extend `AbstractObjectConflictResolver`.

  Specified by:
    `resolveConflicts` in interface `CDOConflictResolver`

### resolveConflict

    protected abstract void resolveConflict(CDOObject conflict,
                                            CDORevisionDelta revisionDelta)

  Resolves the conflict of a single object in the current transaction.

### hookTransaction

    protected void hookTransaction(CDOTransaction transaction)

### unhookTransaction

    protected void unhookTransaction(CDOTransaction transaction)

### rollbackObject

    public static void rollbackObject(CDOObject object)

### readObject

    public static void readObject(CDOObject object)

### changeObject

    public static void changeObject(CDOObject object,
                                    CDORevisionDelta revisionDelta)

  TODO See `CDOObjectMerger`!!!

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.